org.apache.cassandra.index.sasi.analyzer

## Class NonTokenizingOptions

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.NonTokenizingOptions

    public class NonTokenizingOptions
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `NonTokenizingOptions.OptionsBuilder`

### Field Summary

Fields
`static java.lang.String` `CASE_SENSITIVE`
`static java.lang.String` `NORMALIZE_LOWERCASE`
`static java.lang.String` `NORMALIZE_UPPERCASE`

### Constructor Summary

Constructors
Constructor and Description
`NonTokenizingOptions()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NonTokenizingOptions` `buildFromMap(java.util.Map<java.lang.String,java.lang.String> optionsMap)`
`static NonTokenizingOptions` `getDefaultOptions()`
`boolean` `isCaseSensitive()`
`void` `setCaseSensitive(boolean caseSensitive)`
`void` `setLowerCaseOutput(boolean lowerCaseOutput)`
`void` `setUpperCaseOutput(boolean upperCaseOutput)`
`boolean` `shouldLowerCaseOutput()`
`boolean` `shouldUpperCaseOutput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NORMALIZE_LOWERCASE

    public static final java.lang.String NORMALIZE_LOWERCASE

See Also:
  Constant Field Values

#### NORMALIZE_UPPERCASE

    public static final java.lang.String NORMALIZE_UPPERCASE

See Also:
  Constant Field Values

#### CASE_SENSITIVE

    public static final java.lang.String CASE_SENSITIVE

See Also:
  Constant Field Values

### Constructor Detail

#### NonTokenizingOptions

    public NonTokenizingOptions()

### Method Detail

#### isCaseSensitive

    public boolean isCaseSensitive()

#### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

#### shouldUpperCaseOutput

    public boolean shouldUpperCaseOutput()

#### setUpperCaseOutput

    public void setUpperCaseOutput(boolean upperCaseOutput)

#### shouldLowerCaseOutput

    public boolean shouldLowerCaseOutput()

#### setLowerCaseOutput

    public void setLowerCaseOutput(boolean lowerCaseOutput)

#### buildFromMap

    public static NonTokenizingOptions buildFromMap(java.util.Map<java.lang.String,java.lang.String> optionsMap)

#### getDefaultOptions

    public static NonTokenizingOptions getDefaultOptions()